Need help? Chat now!

Hostwinds Tutoriels

Résultats de recherche pour:


Table des matières


Configuration minimale requise

Configuration système requise pour Magento

Mots clés: Magento 

Configuration minimale requise

Pour fonctionner correctement sur n'importe quel système, Magento disposera d'un ensemble d'exigences minimales et recommandées.Les exigences minimales sont fournies pour que les utilisateurs installent Magento sur leur propre serveur pour savoir quoi allouer.Ici, ce guide est écrit pour la version 1.9.x Magento, où X peut être n'importe quel numéro dans la version de cette principale édition de la communauté.

Configuration minimale requise

RAM: Magento nécessite au moins 512 Mo de RAM sur le serveur fonctionner correctement. Cependant, il est recommandé d'avoir au moins 1 Go de RAM pour une meilleure performance.

Environnement LAMP ou LEMP: Cela signifie que Magento fonctionne généralement mieux dans ce type d'environnement Web. La lampe signifie Linux, Apache, MySQL et PHP. Dans le même temps, le Lemp est pour Linux, Nginx, MySQL et PHP. Nous n'utilisons actuellement NGinx sur nos plans d'hébergement partagés et commerciaux disponibles. Cependant, les exigences de la lampe sont remplies avec nos derniers plans d'hébergement.

Système opérateur: Magento nécessite qu'il soit installé sur un serveur Linux avec une architecture x86. Cela signifie qu'il ne pourrait pas être installé sur le système d'exploitation Windows. Cette exigence est également satisfaite avec nos plans d'hébergement actuels, tels que l'hébergement partagé et professionnel.

Version du serveur Web: Étant donné que Magento prend en charge différents serveurs Web, il existe différentes versions pour ceux-ci qu'il faudrait.

Apache: Avec Apache, Magento exigerait que au moins la version 2.x soit utilisée, où X serait un numéro pour spécifier davantage la version d'Apache. Actuellement, nos nouveaux plans d'hébergement utilisent la version 2.4, ce qui ne serait donc pas un problème.

Nginx: Pour NGinx, Magento exige que au moins la version 1.7.x soit utilisée, avec X étant un nombre pour spécifier la version de Nginx. Nos plans d'hébergement n'utilisent pas NGinx par défaut, bien que sur un serveur VPS, nuages ou dédiés, vous avez un accès root pour installer un serveur Web tel que NGinx.

Version PHP: Magento stipule que cela nécessiterait au moins une version PHP 5.4, 5,5 ou 5,6 à exécuter. Avec de nouveaux plans d'hébergement partagés et des entreprises, vous auriez la possibilité d'utiliser la version 5.6 PHP, ainsi que 7.0.

Modules PHP: PHP utilise des modules pour certaines fonctionnalités supplémentaires. Magento l'utilise pour fournir les nombreuses fonctionnalités qu'ils proposent. Ceux-ci seraient tous activés sur nos plans d'hébergement partagé et professionnel.

  • PDO_MySQL
  • Simppexml
  • mcrypt
  • hacher
  • GD
  • DOM
  • iconv
  • SAVON
  • boucle

Base de données: Pour la base de données de Magento, il utilise MySQL (ainsi que MariaDB).

  • Version MySQL: Magento nécessite la version 5.6 de MySQL

SSL: Bien que non requis, SSL est fortement recommandé avec Magento car il agira comme une vitrine. Vous voudrez vous assurer que toutes les informations de votre client sont sécurisées et cryptées.

Tout package d'hébergement Web Linux proposé par Hostwinds peut répondre à ces exigences.

Si vous avez d'autres questions sur Magento, veuillez nous contacter via Live Chat, appelez-nous ou soumettre un ticket avec notre équipe de support technique.

Écrit par Hostwinds Team  /  avril 10, 2018